Debian Bug report logs - #551702
kfreebsd-image-7.2-1-486: nfs locking not functional

version graph

Package: freebsd-nfs-common; Maintainer for freebsd-nfs-common is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-nfs-common is src:freebsd-utils.

Reported by: antoine beaupre <anarcat@koumbit.org>

Date: Tue, 20 Oct 2009 00:03:02 UTC

Severity: important

Fixed in version freebsd-utils/8.2+ds2-2

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#551702; Package kfreebsd-image-7.2-1-486. (Tue, 20 Oct 2009 00:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to antoine beaupre <anarcat@koumbit.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 20 Oct 2009 00:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: antoine beaupre <anarcat@koumbit.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: kfreebsd-image-7.2-1-486: nfs locking not functional
Date: Mon, 19 Oct 2009 15:53:38 -0400
Package: kfreebsd-image-7.2-1-486
Version: 7.2-9
Severity: important
Tags: kfreebsd

The attached program fails when running over NFS:

$ ./a.out 
lock failed, errno: 45

errno 45 is:

     [EOPNOTSUPP]       The argument fd refers to an object that does
     not support file locking.

The server supports locking:

debian:/home/anarcat# rpcinfo -p 192.168.0.5 | grep lock
    100021    1   udp  56587  nlockmgr
    100021    3   udp  56587  nlockmgr
    100021    4   udp  56587  nlockmgr
    100021    1   tcp  57511  nlockmgr
    100021    3   tcp  57511  nlockmgr
    100021    4   tcp  57511  nlockmgr

I understand that locking over NFS is edgy at best, but it used to work
fine here.

This breaks gmpc and iceweasel. The first aborts coldly with:

MetaDataCache-ERROR **: Failed to create metadata table: disk I/O error
aborting...

ktracing this produces:

  4453 gmpc     CALL  fcntl(0x8,0x8,0xbfbfdc9c)
  4453 gmpc     RET   fcntl -1 errno 45 Operation not supported

which is consistent with the test program.

Iceweasel yields wild warnings about places and history files being used
by another process. The address bar is also unuseable so visiting
websites is challenging.

This doesn't occur when this workstation runs Lenny GNU/Linux.

A.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 7.2-1-486
Locale: LANG=fr_CA.UTF-8, LC_CTYPE=fr_CA.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_CA.UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages kfreebsd-image-7.2-1-486 depends on:
ii  freebsd-utils                 7.2-8      FreeBSD utilities needed for GNU/k
ii  kldutils                      7.2-8      tools for managing kFreeBSD module

kfreebsd-image-7.2-1-486 recommends no packages.

kfreebsd-image-7.2-1-486 suggests no packages.

-- no debconf information




Bug reassigned from package 'kfreebsd-image-7.2-1-486' to 'src:kfreebsd-7'. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 05 Oct 2010 11:51:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kfreebsd-7/7.2-9. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 05 Oct 2010 11:51:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions kfreebsd-7/7.2-9. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 05 Oct 2010 11:51:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 11:19:34 GMT) Full text and rfc822 format available.

Notification sent to antoine beaupre <anarcat@koumbit.org>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 11:19:38 GMT) Full text and rfc822 format available.

Message #16 received at 551702-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 322197-done@bugs.debian.org,353302-done@bugs.debian.org,357021-done@bugs.debian.org,460331-done@bugs.debian.org,477588-done@bugs.debian.org,550429-done@bugs.debian.org,551702-done@bugs.debian.org,559107-done@bugs.debian.org,593699-done@bugs.debian.org,594287-done@bugs.debian.org,601305-done@bugs.debian.org,
Cc: kfreebsd-7@packages.debian.org, kfreebsd-7@packages.qa.debian.org
Subject: Bug#630694: Removed package(s) from unstable
Date: Fri, 17 Jun 2011 11:15:01 +0000
Version: 7.3-7+rm

Dear submitter,

as the package kfreebsd-7 has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/630694

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug reassigned from package 'src:kfreebsd-7' to 'kfreebsd-9'. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jun 2011 17:00:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions kfreebsd-7/7.2-9. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jun 2011 17:00:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions 7.3-7+rm. Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Fri, 17 Jun 2011 17:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#551702; Package kfreebsd-9. (Wed, 13 Jul 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 13 Jul 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #27 received at 551702@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 551702@bugs.debian.org, antoine beaupre <anarcat@koumbit.org>
Subject: NFS locking
Date: Wed, 13 Jul 2011 20:24:29 +0200
reassign 551702 freebsd-nfs-common
fixed 551702 8.2+ds2-2
thanks

Hi,

For NFS file locking you need to be running rpc.lockd daemon in the
client system.  It is available in the freebsd-nfs-common package:

http://packages.debian.org/search?keywords=freebsd-nfs-common

-- 
Robert Millan




Bug reassigned from package 'kfreebsd-9' to 'freebsd-nfs-common'. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 13 Jul 2011 18:27:08 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions freebsd-utils/8.2+ds2-2. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Wed, 13 Jul 2011 18:27:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Aug 2011 07:32:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:06:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.